#ifndef H_SATORI_CONTEXT
#define H_SATORI_CONTEXT

#include <stdlib.h>
#include <string.h>
#include <time.h>
#include "config.h"
#include "persist.h"
#include "futami.h"

typedef struct _satori_ctx {
    time_t startup;
    sat_config_ptr config;
    sat_persist_ptr persist;
    sat_futami_ptr futami;
} satori_ctx, *satori_ctx_ptr;

satori_ctx_ptr satori_ctx_alloc(void);
void satori_ctx_free(satori_ctx_ptr ctx);

#endif // H_SATORI_CONTEXT
